Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

System contains hotfixes generated after this release was built

SA-1184

Summary



An error occurred when the application was updated from Pega 7.1.5 to Pega 7.1.6.

Error Messages



BUILD FAILED
E:\Pega_Installs\114664_Pega716U\scripts\setupDatabase.xml:340: The following error occurred while executing this line:
E:\Pega_Installs\114664_Pega716U\scripts\setupDatabase.xml:1318: This update cannot be applied, the system contains hotfixes generated after this release was built.


Steps to Reproduce



Try to upgrade using the IUA.

Root Cause



Hotfixes are installed.

Resolution



Run the upgrade script using the force flag to bypass this error. The correct syntax for the windows update.bat file is "update.bat --force=true". For Unix, it is "update.sh --force".

Published November 16, 2016 - Updated October 8, 2020

Was this useful?

0% found this useful

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

Did you find this content helpful?

Want to help us improve this content?

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us